curl --request POST \
--url https://api.cartesia.ai/voices/clone \
--header 'Authorization: Bearer <token>' \
--header 'Cartesia-Version: <cartesia-version>' \
--header 'Content-Type: multipart/form-data' \
--form clip='@example-file' \
--form 'name=<string>' \
--form 'description=<string>' \
--form 'base_voice_id=<string>' \
--form 'access[type]=private'import requests
url = "https://api.cartesia.ai/voices/clone"
files = { "clip": ("example-file", open("example-file", "rb")) }
payload = {
"name": "<string>",
"description": "<string>",
"base_voice_id": "<string>",
"access[type]": "private"
}
headers = {
"Cartesia-Version": "<cartesia-version>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('clip', '<string>');
form.append('name', '<string>');
form.append('description', '<string>');
form.append('base_voice_id', '<string>');
form.append('access[type]', 'private');
const options = {
method: 'POST',
headers: {'Cartesia-Version': '<cartesia-version>', Authorization: 'Bearer <token>'}
};
options.body = form;
fetch('https://api.cartesia.ai/voices/clone', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "f161df88-b5a0-4ea8-aa21-6be12859f761",
"access": {
"type": "private",
"visibility": "owner"
},
"name": "My localized voice",
"description": "A voice that I localized",
"created_at": "2026-01-01T00:00:00.000Z",
"language": "en",
"is_public": false,
"user_id": "org_123"
}Clone Voice
Authorizations
Cartesia API key (sk_car_...). Get one at play.cartesia.ai/keys.
Headers
API version header.
2026-03-01 "2026-03-01"
Body
See Clone Voices for guidance on choosing a clip.
Supported audio formats: flac, mp3, mpeg, mpga, oga, ogg, wav, webm
The name of the voice.
The language of the voice.
en, fr, de, es, pt, zh, ja, hi, it, ko, nl, pl, ru, sv, tr, tl, bg, ro, ar, cs, el, fi, hr, ms, sk, da, ta, uk, hu, no, vi, bn, th, he, ka, id, te, gu, kn, ml, mr, pa A description for the voice.
Optional base voice ID that the cloned voice is derived from.
private: only your organization can use the voicepublic: anyone can use the voice
private, public Response
The ID of the voice. Find one in the Voice Library or via List Voices.
Who can access the voice
Show child attributes
Show child attributes
The name of the voice.
The description of the voice.
The date and time the voice was created.
The voice's language, as an ISO 639-1 code (e.g. en, fr, zh)
"en"
Whether the voice is publicly accessible. Always false on this endpoint.
The ID of the user who owns the voice.
Was this page helpful?